Add the ability to select the emulator to use. Add support for the mame emulator. Separate the boot image from the distribution disk image (although targets like NDAs also install into the boot disk). Add the tar shell command from Kelvin and use it when packaging to also create a shrinkit archive of the distribution.

This commit is contained in:
Jeremy Rand 2021-04-13 00:04:59 -04:00
parent b6527a190e
commit 7d3a33e34c
24 changed files with 698 additions and 46 deletions

1
.gitignore vendored
View File

@ -1 +1,2 @@
*.lst *.lst
.*.sw?

View File

@ -28,6 +28,22 @@ PGM=___PACKAGENAME___
# TARGETTYPE=nda # TARGETTYPE=nda
# TARGETTYPE=xcmd # TARGETTYPE=xcmd
# Uncomment one of the following lines to force a particular GS emulator.
# By default, specific paths are tested for these emulators in the below
# order and the first found is what will be used. You can overrride that
# here:
#
# EMULATOR=gsplus
# EMULATOR=mame
# EMULATOR=gsport
# By default, the build provides a single boot environment to test with.
# You can put other .2mg files into the make directory and override this
# variable to change what boot disk you want to use when you launch the
# emulator. The disk image you specify must be found in the make directory:
#
# BOOTIMAGE=system601.2mg
# Add any other directories where you are putting C or assembly source # Add any other directories where you are putting C or assembly source
# files to this list: # files to this list:
# SRCDIRS+= # SRCDIRS+=
@ -65,7 +81,7 @@ LDFLAGS+=
# Uncomment the following line if you want to build against the GNO libraries # Uncomment the following line if you want to build against the GNO libraries
# export ORCA=$(ORCA_BINDIR)/gno # export ORCA=$(ORCA_BINDIR)/gno
# If you want to copy one or more files or directories to the target disk # If you want to copy one or more files or directories to the distribution disk
# image, add the root directory to this variable. Any directories under # image, add the root directory to this variable. Any directories under
# the source directory which don't exist in the target disk image will be # the source directory which don't exist in the target disk image will be
# created. All files will be copied from the source to the target using # created. All files will be copied from the source to the target using
@ -73,23 +89,61 @@ LDFLAGS+=
# #
# For example, if you set COPYDIRS to dir and in your project you have # For example, if you set COPYDIRS to dir and in your project you have
# the following files: # the following files:
# dir/Icons/myIconFile
# dir/newDir/anotherFile
# Then, during the copy phase, myIconFile will be copied into the Icons
# folder and a folder newDir will be created and anotherFile will be copied
# into there.
COPYDIRS=
# If you want to copy one or more files or directories to the boot disk
# image, add the root directory to this variable. Any directories under
# the source directory which don't exist in the boot disk image will be
# created. All files will be copied from the source to the target using
# the same path from the source.
#
# For example, if you set COPYBOOTDIRS to dir and in your project you have
# the following files:
# dir/System/mySystemFile # dir/System/mySystemFile
# dir/newDir/anotherFile # dir/newDir/anotherFile
# Then, during the copy phase, mySystemFile will be copied into the System # Then, during the copy phase, mySystemFile will be copied into the System
# folder and a folder newDir will be created and anotherFile will be copied # folder and a folder newDir will be created and anotherFile will be copied
# into there. # into there.
COPYDIRS= COPYBOOTDIRS=
# By default, the build expects that you have GSplus in the path: # By default, the build expects that you have GSplus in the path:
# /Applications/GSplus.app/Contents/MacOS/gsplus # /Applications/GSplus.app/Contents/MacOS/gsplus
# If you have it in a different location, specify that here. # If you have it in a different location, specify that here.
# GSPLUS=/Applications/GSplus.app/Contents/MacOS/gsplus # GSPLUS=/Applications/GSplus.app/Contents/MacOS/gsplus
# By default, the build uses no arguments with GSplus. If you would like to
# use different arguments, specify that here.
# GSPLUSARGS=
# By default, the build expects that you have GSport in the path: # By default, the build expects that you have GSport in the path:
# /Applications/GSport/GSport.app/Contents/MacOS/GSport # /Applications/GSport/GSport.app/Contents/MacOS/GSport
# If you have it in a different location, specify that here. # If you have it in a different location, specify that here.
# GSPORT=/Applications/GSport/GSport.app/Contents/MacOS/GSport # GSPORT=/Applications/GSport/GSport.app/Contents/MacOS/GSport
# By default, the build uses no arguments with GSport. If you would like to
# use different arguments, specify that here.
# GSPORTARGS=
# By default, the build expects that you have Ample/mame in the path:
# /Applications/Ample.app/Contents/MacOS/mame64
# If you have it in a different location, specify that here.
# MAME=/Applications/Ample.app/Contents/MacOS/mame64
# By default, the build expects that you have the mame ROMs/libs in the path:
# $(HOME)/Library/Application Support/Ample
# If you have it in a different location, specify that here.
# MAMELIB=$(HOME)/Library/Application Support/Ample
# By default, the build uses these arguments with mame:
# apple2gs -skip_gameinfo -mouse -window -resolution 1408x1056 -ramsize 4M -sl7 cffa202
# If you would like to use different arguments, specify that here.
# MAMEARGS=apple2gs -skip_gameinfo -mouse -window -resolution 1408x1056 -ramsize 4M -sl7 cffa202
# For a desktop application, it can operate in 640x200 or 320x200 # For a desktop application, it can operate in 640x200 or 320x200
# resolution. This setting is used to define which horizontal # resolution. This setting is used to define which horizontal
# resolution you want to use for a desktop application. Other # resolution you want to use for a desktop application. Other

View File

@ -33,6 +33,22 @@ ASSEMBLER=merlin
# TARGETTYPE=nda # TARGETTYPE=nda
# TARGETTYPE=xcmd # TARGETTYPE=xcmd
# Uncomment one of the following lines to force a particular GS emulator.
# By default, specific paths are tested for these emulators in the below
# order and the first found is what will be used. You can overrride that
# here:
#
# EMULATOR=gsplus
# EMULATOR=mame
# EMULATOR=gsport
# By default, the build provides a single boot environment to test with.
# You can put other .2mg files into the make directory and override this
# variable to change what boot disk you want to use when you launch the
# emulator. The disk image you specify must be found in the make directory:
#
# BOOTIMAGE=system601.2mg
# Add any other directories where you are putting C or assembly source # Add any other directories where you are putting C or assembly source
# files to this list. Note that you must manually add all source files # files to this list. Note that you must manually add all source files
# to the linkscript.s file. All this does is help the build system # to the linkscript.s file. All this does is help the build system
@ -50,7 +66,7 @@ REZFLAGS+=
# put the rlint somewhere weird, you can set this to the correct path # put the rlint somewhere weird, you can set this to the correct path
# RLINT_PATH=rlint # RLINT_PATH=rlint
# If you want to copy one or more files or directories to the target disk # If you want to copy one or more files or directories to the distribution disk
# image, add the root directory to this variable. Any directories under # image, add the root directory to this variable. Any directories under
# the source directory which don't exist in the target disk image will be # the source directory which don't exist in the target disk image will be
# created. All files will be copied from the source to the target using # created. All files will be copied from the source to the target using
@ -58,23 +74,61 @@ REZFLAGS+=
# #
# For example, if you set COPYDIRS to dir and in your project you have # For example, if you set COPYDIRS to dir and in your project you have
# the following files: # the following files:
# dir/Icons/myIconFile
# dir/newDir/anotherFile
# Then, during the copy phase, myIconFile will be copied into the Icons
# folder and a folder newDir will be created and anotherFile will be copied
# into there.
COPYDIRS=
# If you want to copy one or more files or directories to the boot disk
# image, add the root directory to this variable. Any directories under
# the source directory which don't exist in the boot disk image will be
# created. All files will be copied from the source to the target using
# the same path from the source.
#
# For example, if you set COPYBOOTDIRS to dir and in your project you have
# the following files:
# dir/System/mySystemFile # dir/System/mySystemFile
# dir/newDir/anotherFile # dir/newDir/anotherFile
# Then, during the copy phase, mySystemFile will be copied into the System # Then, during the copy phase, mySystemFile will be copied into the System
# folder and a folder newDir will be created and anotherFile will be copied # folder and a folder newDir will be created and anotherFile will be copied
# into there. # into there.
COPYDIRS= COPYBOOTDIRS=
# By default, the build expects that you have GSplus in the path: # By default, the build expects that you have GSplus in the path:
# /Applications/GSplus.app/Contents/MacOS/gsplus # /Applications/GSplus.app/Contents/MacOS/gsplus
# If you have it in a different location, specify that here. # If you have it in a different location, specify that here.
# GSPLUS=/Applications/GSplus.app/Contents/MacOS/gsplus # GSPLUS=/Applications/GSplus.app/Contents/MacOS/gsplus
# By default, the build uses no arguments with GSplus. If you would like to
# use different arguments, specify that here.
# GSPLUSARGS=
# By default, the build expects that you have GSport in the path: # By default, the build expects that you have GSport in the path:
# /Applications/GSport/GSport.app/Contents/MacOS/GSport # /Applications/GSport/GSport.app/Contents/MacOS/GSport
# If you have it in a different location, specify that here. # If you have it in a different location, specify that here.
# GSPORT=/Applications/GSport/GSport.app/Contents/MacOS/GSport # GSPORT=/Applications/GSport/GSport.app/Contents/MacOS/GSport
# By default, the build uses no arguments with GSport. If you would like to
# use different arguments, specify that here.
# GSPORTARGS=
# By default, the build expects that you have Ample/mame in the path:
# /Applications/Ample.app/Contents/MacOS/mame64
# If you have it in a different location, specify that here.
# MAME=/Applications/Ample.app/Contents/MacOS/mame64
# By default, the build expects that you have the mame ROMs/libs in the path:
# $(HOME)/Library/Application Support/Ample
# If you have it in a different location, specify that here.
# MAMELIB=$(HOME)/Library/Application Support/Ample
# By default, the build uses these arguments with mame:
# apple2gs -skip_gameinfo -mouse -window -resolution 1408x1056 -ramsize 4M -sl7 cffa202
# If you would like to use different arguments, specify that here.
# MAMEARGS=apple2gs -skip_gameinfo -mouse -window -resolution 1408x1056 -ramsize 4M -sl7 cffa202
# For a desktop application, it can operate in 640x200 or 320x200 # For a desktop application, it can operate in 640x200 or 320x200
# resolution. This setting is used to define which horizontal # resolution. This setting is used to define which horizontal
# resolution you want to use for a desktop application. Other # resolution you want to use for a desktop application. Other

View File

@ -6,7 +6,7 @@ s5d2 =
s6d1 = s6d1 =
s6d2 = s6d2 =
s7d1 = ../___PACKAGENAME___.2mg s7d1 =
g_joystick_type = 0 g_joystick_type = 0
g_limit_speed = 0 g_limit_speed = 0

View File

@ -1,27 +1,31 @@
#!/bin/sh #!/bin/sh
MOUNTDIR=/tmp/a2gs_mount.$$
TMPDISKIMAGE=/tmp/a2gs_diskimage_$$.2mg
TEMPLATEDISKIMAGE=make/system601.2mg
if [ $# -lt 3 ] if [ $# -lt 3 ]
then then
echo USAGE: $0 diskimage file directory echo USAGE: $0 diskimage bootimage file [bootdest]
exit 1 exit 1
fi fi
DISKIMAGE="$1" DISKIMAGE="$1"
shift shift
DESTBOOTIMAGE="$1"
shift
FILE="$1" FILE="$1"
shift shift
DISKIMAGEDEST="$1" BOOTCOPYPATH="$1"
shift
DEST="${MOUNTDIR}/${DISKIMAGEDEST}"
COPYDIRS=$* PROGRAM=`basename "$FILE"`
TMPDIR=/tmp/a2gs_mount.$$
MOUNTDIR="${TMPDIR}/$PROGRAM"
TMPDISKIMAGE=/tmp/a2gs_diskimage_$$.2mg
TMPBOOTIMAGE=/tmp/a2gs_bootimage_$$.2mg
TMPARCHIVE=/tmp/s2gs_archive_$$.shk
TEMPLATEDISKIMAGE="make/empty.2mg"
TEMPLATEBOOTIMAGE="make/$BOOTIMAGE"
ARCHIVE=`dirname "$DISKIMAGE"`/"${PROGRAM}.shk"
# It looks like on Linux, the cp command needs a special argument to preserve the resource fork. This isn't ideal # It looks like on Linux, the cp command needs a special argument to preserve the resource fork. This isn't ideal
# but for now, if uname is Darwin, then this is MacOS and we don't need any cp args. If not Darwin, then assume # but for now, if uname is Darwin, then this is MacOS and we don't need any cp args. If not Darwin, then assume
@ -41,8 +45,11 @@ cleanupAndExit()
{ {
umount "$MOUNTDIR" 2> /dev/null umount "$MOUNTDIR" 2> /dev/null
rm -f "$TMPDISKIMAGE" 2> /dev/null rm -f "$TMPDISKIMAGE" 2> /dev/null
rm -f "$TMPBOOTIMAGE" 2> /dev/null
rm -f "$TMPARCHIVE" 2> /dev/null
rm -f "$DISKIMAGE" 2> /dev/null rm -f "$DISKIMAGE" 2> /dev/null
rmdir "$MOUNTDIR" 2> /dev/null rm -f "$DESTBOOTIMAGE" 2> /dev/null
rm -rf "$TMPDIR" 2> /dev/null
exit 1 exit 1
} }
@ -52,10 +59,16 @@ then
cleanupAndExit cleanupAndExit
fi fi
cp "$TEMPLATEDISKIMAGE" "$TMPDISKIMAGE" if [ ! -f "$TEMPLATEBOOTIMAGE" ]
then
echo Unable to find the template boot image, $TEMPLATEBOOTIMAGE
cleanupAndExit
fi
mkdir "$TMPDIR"
if [ $? != 0 ] if [ $? != 0 ]
then then
echo Unable to copy template disk image. echo Unable to create the mount directory.
cleanupAndExit cleanupAndExit
fi fi
@ -66,6 +79,81 @@ then
cleanupAndExit cleanupAndExit
fi fi
cp "$TEMPLATEBOOTIMAGE" "$TMPBOOTIMAGE"
if [ $? != 0 ]
then
echo Unable to copy template boot image.
cleanupAndExit
fi
if [ ! -z "$COPYBOOTDIRS" ] || [ ! -z "BOOTCOPYPATH" ]
then
profuse -orw "$TMPBOOTIMAGE" "$MOUNTDIR"
if [ $? != 0 ]
then
echo Unable to mount the boot image.
cleanupAndExit
fi
if [ ! -z "$BOOTCOPYPATH" ]
then
cp $CPARGS "$FILE" "$MOUNTDIR/$BOOTCOPYPATH"
if [ $? != 0 ]
then
echo Unable to copy the file to the boot image.
cleanupAndExit
fi
fi
OLDDIR=`pwd`
for COPYDIR in $COPYBOOTDIRS
do
cd "$COPYDIR"
if [ $? != 0 ]
then
echo Unable to find $COPYDIR
cleanupAndExit
fi
find . -print | while read FILEORDIR
do
if [ -d "$FILEORDIR" ]
then
mkdir -p "${MOUNTDIR}/$FILEORDIR"
elif [ -f "$FILEORDIR" ]
then
cp $CPARGS "$FILEORDIR" "${MOUNTDIR}/$FILEORDIR"
fi
done
cd "$OLDDIR"
done
RETRIES=0
while [ $RETRIES -lt 5 ]
do
umount "$MOUNTDIR"
if [ $? -eq 0 ]
then
break
fi
RETRIES=`expr $RETRIES + 1`
sleep 1
done
if [ $RETRIES -ge 5 ]
then
echo Unable to unmount the boot image.
cleanupAndExit
fi
fi
cp "$TEMPLATEDISKIMAGE" "$TMPDISKIMAGE"
if [ $? != 0 ]
then
echo Unable to copy template disk image.
cleanupAndExit
fi
profuse -orw "$TMPDISKIMAGE" "$MOUNTDIR" profuse -orw "$TMPDISKIMAGE" "$MOUNTDIR"
if [ $? != 0 ] if [ $? != 0 ]
then then
@ -73,7 +161,7 @@ then
cleanupAndExit cleanupAndExit
fi fi
cp $CPARGS "$FILE" "$DEST" cp $CPARGS "$FILE" "$MOUNTDIR"
if [ $? != 0 ] if [ $? != 0 ]
then then
echo Unable to copy the file to the disk image. echo Unable to copy the file to the disk image.
@ -103,6 +191,15 @@ do
cd "$OLDDIR" cd "$OLDDIR"
done done
cd "$TMPDIR"
$ORCA "$OLDDIR/make/tar" cf "$TMPARCHIVE" "$PROGRAM"
if [ $? != 0 ]
then
echo Unable to create archive.
cleanupAndExit
fi
cd "$OLDDIR"
RETRIES=0 RETRIES=0
while [ $RETRIES -lt 5 ] while [ $RETRIES -lt 5 ]
do do
@ -129,6 +226,22 @@ then
cleanupAndExit cleanupAndExit
fi fi
cp "$TMPBOOTIMAGE" "$DESTBOOTIMAGE"
if [ $? != 0 ]
then
echo Unable to copy the boot image to the destination.
cleanupAndExit
fi
cp "$TMPARCHIVE" "$ARCHIVE"
if [ $? != 0 ]
then
echo Unable to copy the archive to the destination.
cleanupAndExit
fi
rm -f "$TMPDISKIMAGE" rm -f "$TMPDISKIMAGE"
rmdir "$MOUNTDIR" rm -f "$TMPBOOTIMAGE"
rm -f "$TMPARCHIVE"
rm -rf "$TMPDIR"
exit 0 exit 0

BIN
make/empty.2mg Normal file

Binary file not shown.

View File

@ -72,10 +72,40 @@ DESKTOP_RES_MODE=640
MESSAGE_CENTER=0 MESSAGE_CENTER=0
GSPLUS=/Applications/GSplus.app/Contents/MacOS/gsplus GSPLUS=/Applications/GSplus.app/Contents/MacOS/gsplus
GSPLUSARGS=
GSPORT=/Applications/GSport/GSport.app/Contents/MacOS/GSport GSPORT=/Applications/GSport/GSport.app/Contents/MacOS/GSport
GSPORTARGS=
MAME=/Applications/Ample.app/Contents/MacOS/mame64
MAMELIB=$(HOME)/Library/Application Support/Ample
MAMEARGS=apple2gs -skip_gameinfo -mouse -window -resolution 1408x1056 -ramsize 4M -sl7 cffa202
export GSPLUS export GSPLUS
export GSPLUSARGS
export GSPORT export GSPORT
export GSPORTARGS
export MAME
export MAMELIB
export MAMEARGS
ifneq (,$(wildcard $GSPLUS))
EMULATOR=gsplus
else ifneq (,$(wildcard $MAME))
EMULATOR=mame
else ifneq (,$(wildcard $GSPORT))
EMULATOR=gsport
else
EMULATOR=gsplus
endif
export EMULATOR
BOOTIMAGE=system601.2mg
export BOOTIMAGE
COPYDIRS=
export COPYDIRS
COPYBOOTDIRS=
export COPYBOOTDIRS
XCODE_PATH=/Applications/Xcode.app XCODE_PATH=/Applications/Xcode.app
XCODE_INFO=$(XCODE_PATH)/Contents/Info.plist XCODE_INFO=$(XCODE_PATH)/Contents/Info.plist

View File

@ -1,18 +1,29 @@
#!/bin/sh #!/bin/sh
if [ ! -z "$GSPLUS" ] && [ -x "$GSPLUS" ] TMPDIR="/tmp/a2gs_emulator.$$"
then
EMULATORPATH="$GSPLUS"
elif [ ! -z "$GSPORT" ] && [ -x "$GSPORT" ]
then
EMULATORPATH="$GSPORT"
fi
if [ -z "$EMULATORPATH" ] cleanupAndExit()
{
cd
if [ ! -z $PID ]
then
kill $PID 2> /dev/null
fi
rm -rf $TMPDIR
exit 0
}
createConfigTxt()
{
mkdir "$TMPDIR"
sed "s:^s7d1 *=.*$:s7d1 = $BOOTIMAGE:
s:^s5d1 *=.*:s5d1 = $DISKIMAGE:" < make/config.txt > "$TMPDIR/config.txt"
}
if [ $# -ne 2 ]
then then
echo Unable to find GSplus or GSport at these locations. echo USAGE $0: diskimage bootimage
echo " GSPLUS=$GSPLUS"
echo " GSPORT=$GSPORT"
exit 1 exit 1
fi fi
@ -22,15 +33,52 @@ then
DISKIMAGE="$PWD/$DISKIMAGE" DISKIMAGE="$PWD/$DISKIMAGE"
fi fi
cd make BOOTIMAGE="$2"
sed -i "" "s:^s7d1 *=.*$:s7d1 = $DISKIMAGE:" config.txt if echo $BOOTIMAGE | grep -v '^/' > /dev/null
then
BOOTIMAGE="$PWD/$BOOTIMAGE"
fi
case "$EMULATOR" in
gsplus)
EMULATORPATH="$GSPLUS"
EMULATORARGS="$GSPLUSARGS"
EMULATORDIR="$TMPDIR"
createConfigTxt
;;
gsport)
EMULATORPATH="$GSPORT"
EMULATORARGS="$GSPORTARGS"
EMULATORDIR="$TMPDIR"
createConfigTxt
;;
mame)
EMULATORPATH="$MAME"
EMULATORARGS="$MAMEARGS -hard1 "$BOOTIMAGE" -flop3 "$DISKIMAGE""
EMULATORDIR="$MAMELIB"
;;
*)
echo Invalid emulator specified, \"$EMULATOR\"
exit 1
;;
esac
if [ ! -x "$EMULATORPATH" ]
then
echo Unable to find $EMULATOR at $EMULATORPATH
exit 1
fi
if [ ! -d "$EMULATORDIR" ]
then
echo Unable to find $EMULATOR library at $EMULATORDIR
exit 1
fi
cd "$EMULATORDIR"
# This magic ensure that clicking stop in Xcode results in the emulator terminating. # This magic ensure that clicking stop in Xcode results in the emulator terminating.
"$EMULATORPATH" $EMULATORARGS &
$EMULATORPATH &
PID=$! PID=$!
trap 'kill $PID' SIGTERM SIGINT SIGHUP EXIT trap cleanupAndExit SIGTERM SIGINT SIGHUP EXIT
wait wait
exit 0

Binary file not shown.

View File

@ -7,9 +7,11 @@ export PATH := $(PATH):$(ORCA_BIN)
CWD=$(shell pwd) CWD=$(shell pwd)
DISKIMAGE=$(TARGETDIR)/$(PGM).2mg DISKIMAGE=$(TARGETDIR)/$(PGM).2mg
ARCHIVE=$(TARGETDIR)/$(PGM).shk
DESTBOOTIMAGE=$(TARGETDIR)/$(BOOTIMAGE)
BUILDTARGET=$(DISKIMAGE) BUILDTARGET=$(DISKIMAGE)
EXECTARGET=executeGUI EXECTARGET=executeGUI
DISKIMAGEDEST=. BOOTCOPYPATH=
AUXTYPE= AUXTYPE=
CFLAGS+=-i$(GENDIR) CFLAGS+=-i$(GENDIR)
@ -31,18 +33,18 @@ else ifeq ($(TARGETTYPE),desktop)
REZFLAGS+=rez='-d MESSAGE_CENTER=$(MESSAGE_CENTER)' REZFLAGS+=rez='-d MESSAGE_CENTER=$(MESSAGE_CENTER)'
else ifeq ($(TARGETTYPE),cda) else ifeq ($(TARGETTYPE),cda)
FILETYPE=cda FILETYPE=cda
DISKIMAGEDEST=System/Desk.Accs BOOTCOPYPATH=System/Desk.Accs
else ifeq ($(TARGETTYPE),cdev) else ifeq ($(TARGETTYPE),cdev)
BINTARGET=$(TARGETDIR)/$(PGM).bin BINTARGET=$(TARGETDIR)/$(PGM).bin
FILETYPE=199 FILETYPE=199
DISKIMAGEDEST=System/CDevs BOOTCOPYPATH=System/CDevs
REZFLAGS+=rez='-d BINTARGET="$(BINTARGET)"' REZFLAGS+=rez='-d BINTARGET="$(BINTARGET)"'
else ifeq ($(TARGETTYPE),nba) else ifeq ($(TARGETTYPE),nba)
FILETYPE=exe FILETYPE=exe
BUILDTARGET=$(TARGETDIR)/$(PGM) BUILDTARGET=$(TARGETDIR)/$(PGM)
else ifeq ($(TARGETTYPE),nda) else ifeq ($(TARGETTYPE),nda)
FILETYPE=nda FILETYPE=nda
DISKIMAGEDEST=System/Desk.Accs BOOTCOPYPATH=System/Desk.Accs
else ifeq ($(TARGETTYPE),xcmd) else ifeq ($(TARGETTYPE),xcmd)
FILETYPE=exe FILETYPE=exe
BUILDTARGET=$(TARGETDIR)/$(PGM) BUILDTARGET=$(TARGETDIR)/$(PGM)
@ -105,6 +107,8 @@ clean: genclean
$(RM) $(ALL_DEPS) $(RM) $(ALL_DEPS)
$(RM) $(ASM_MACROS) $(RM) $(ASM_MACROS)
$(RM) "$(DISKIMAGE)" $(RM) "$(DISKIMAGE)"
$(RM) "$(DESTBOOTIMAGE)"
$(RM) "$(ARCHIVE)"
createPackage: createPackage:
pkg/createPackage pkg/createPackage
@ -178,13 +182,13 @@ $(TARGETDIR)/$(PGM): $(REZ_OBJS)
endif endif
$(DISKIMAGE): $(TARGETDIR)/$(PGM) $(DISKIMAGE): $(TARGETDIR)/$(PGM) make/empty.2mg make/$(BOOTIMAGE)
make/createDiskImage "$(DISKIMAGE)" "$(TARGETDIR)/$(PGM)" "$(DISKIMAGEDEST)" $(COPYDIRS) make/createDiskImage "$(DISKIMAGE)" $(DESTBOOTIMAGE) "$(TARGETDIR)/$(PGM)" $(BOOTCOPYPATH)
execute: $(EXECTARGET) execute: $(EXECTARGET)
executeGUI: all executeGUI: all
make/launchEmulator "$(DISKIMAGE)" make/launchEmulator "$(DISKIMAGE)" "$(DESTBOOTIMAGE)"
executeShell: all executeShell: all
$(ORCA) $(TARGETDIR)/$(PGM) $(ORCA) $(TARGETDIR)/$(PGM)

BIN
make/tar Normal file

Binary file not shown.

View File

@ -14,6 +14,8 @@
<string>make/merlin-asm</string> <string>make/merlin-asm</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -78,6 +80,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -173,6 +189,19 @@
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict> </dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>
<string>com.apple.product-type.tool</string> <string>com.apple.product-type.tool</string>

View File

@ -61,7 +61,7 @@
isEnabled = "YES"> isEnabled = "YES">
</CommandLineArgument> </CommandLineArgument>
<CommandLineArgument <CommandLineArgument
argument = "&quot;$PROJECT_DIR/___PACKAGENAME___&quot;"" argument = "&quot;$PROJECT_DIR/___PACKAGENAME___&quot;"
isEnabled = "YES"> isEnabled = "YES">
</CommandLineArgument> </CommandLineArgument>
<CommandLineArgument <CommandLineArgument

View File

@ -15,6 +15,8 @@
<string>make/merlin-asm</string> <string>make/merlin-asm</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -84,6 +86,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -179,6 +195,19 @@
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict> </dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>
<string>com.apple.product-type.tool</string> <string>com.apple.product-type.tool</string>

View File

@ -15,6 +15,8 @@
<string>make/merlin-asm</string> <string>make/merlin-asm</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -84,6 +86,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -197,6 +213,19 @@
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict> </dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>
<string>com.apple.product-type.tool</string> <string>com.apple.product-type.tool</string>

View File

@ -15,6 +15,8 @@
<string>make/merlin-asm</string> <string>make/merlin-asm</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -84,6 +86,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -179,6 +195,19 @@
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict> </dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>
<string>com.apple.product-type.tool</string> <string>com.apple.product-type.tool</string>

View File

@ -14,6 +14,8 @@
<string>make/orca-cc</string> <string>make/orca-cc</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -80,6 +82,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -175,6 +191,19 @@
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict> </dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>
<string>com.apple.product-type.tool</string> <string>com.apple.product-type.tool</string>

View File

@ -16,6 +16,8 @@
<string>make/orca-cc</string> <string>make/orca-cc</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -92,6 +94,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -187,6 +203,19 @@
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict> </dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>
<string>com.apple.product-type.tool</string> <string>com.apple.product-type.tool</string>

View File

@ -16,6 +16,8 @@
<string>make/orca-cc</string> <string>make/orca-cc</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -92,6 +94,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -217,6 +233,19 @@
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict> </dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>
<string>com.apple.product-type.tool</string> <string>com.apple.product-type.tool</string>

View File

@ -16,6 +16,8 @@
<string>make/orca-cc</string> <string>make/orca-cc</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -92,6 +94,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -186,6 +202,19 @@
<key>PRODUCT_NAME</key> <key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict> </dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>

View File

@ -14,6 +14,8 @@
<string>make/orca-cc</string> <string>make/orca-cc</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -80,6 +82,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -174,6 +190,19 @@
<key>PRODUCT_NAME</key> <key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict> </dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>

View File

@ -15,6 +15,8 @@
<string>make/orca-cc</string> <string>make/orca-cc</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -86,6 +88,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -181,6 +197,19 @@
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict> </dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>
<string>com.apple.product-type.tool</string> <string>com.apple.product-type.tool</string>

View File

@ -15,6 +15,8 @@
<string>make/orca-cc</string> <string>make/orca-cc</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -86,6 +88,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -199,6 +215,19 @@
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict> </dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>
<string>com.apple.product-type.tool</string> <string>com.apple.product-type.tool</string>

View File

@ -15,6 +15,8 @@
<string>make/orca-cc</string> <string>make/orca-cc</string>
<string>make/orca-rez</string> <string>make/orca-rez</string>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
<string>make/empty.2mg</string>
<string>make/tar</string>
<string>make/tail.mk</string> <string>make/tail.mk</string>
<string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string> <string>../___PACKAGENAME___.xcodeproj/xcshareddata/xcschemes/___PACKAGENAME___.xcscheme</string>
</array> </array>
@ -86,6 +88,20 @@
<key>Path</key> <key>Path</key>
<string>make/system601.2mg</string> <string>make/system601.2mg</string>
</dict> </dict>
<key>make/empty.2mg</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/empty.2mg</string>
</dict>
<key>make/tar</key>
<dict>
<key>Group</key>
<string>make</string>
<key>Path</key>
<string>make/tar</string>
</dict>
<key>make/tail.mk</key> <key>make/tail.mk</key>
<dict> <dict>
<key>Group</key> <key>Group</key>
@ -181,6 +197,19 @@
<string>___PACKAGENAME___.2mg</string> <string>___PACKAGENAME___.2mg</string>
</dict> </dict>
</dict> </dict>
<dict>
<key>ProductType</key>
<string>com.apple.product-type.tool</string>
<key>TargetIdentifier</key>
<string>com.apple.dt.commandLineToolTarget</string>
<key>Name</key>
<string>Archive</string>
<key>SharedSettings</key>
<dict>
<key>PRODUCT_NAME</key>
<string>___PACKAGENAME___.shk</string>
</dict>
</dict>
<dict> <dict>
<key>ProductType</key> <key>ProductType</key>
<string>com.apple.product-type.tool</string> <string>com.apple.product-type.tool</string>